<template>
  <section>
    <error-container :error="error" />
    <h2 class="title">
      {{$t('page.signup.title')}}
    </h2>
    <p class="subtitle">
      {{$t('page.signup.instructions')}}
    </p>
    <el-form @submit.native.prevent="signup" autocomplete="on">
      <el-input :placeholder="$t('formFields.email')" v-model="email" name="email"/>
      <el-input :placeholder="$t('formFields.password')" v-model="password" name="password" type="password"/>
      <el-button class="margin-top signup-button" type="primary" :loading="loading" native-type="submit">{{$t('buttons.signup')}}</el-button>
    </el-form>
  </section>
</template>

<script>
import ErrorContainer from '@/components/ErrorContainer'
export default {
  layout: 'center',
  components: {
    ErrorContainer
  },
  data() {
    return {
      email: '',
      password: '',
      loading: false,
      error: {}
    }
  },
  head () {
    return {
      title: this.$t('page.index.title'),
    }
  },
  methods: {
    signup (e) {
      const {$axios, $router, $t, $message} = this
      const _this = this
      // do some validation here
      $axios.post('/api/users', {email: this.email, password: this.password}).then((res) => {
        $router.replace({path: '/login'})
        $message.success($t('alerts.accountCreated'))
      }).catch((err) => {
        _this.error = err.response.data
      })
    }
  }
}
</script>

<style lang="scss" scope>
@import '~assets/css/main';

.title {
  font-weight: 300;
  font-size: 100px;
  color: $text-color;
  letter-spacing: 1px;
  margin: 10px;
}

.subtitle {
  color: $text-color;
  margin: 10px;
}

.signup-button {
  min-width: 150px;
}
</style>
